Jump to content

  • Curse Sites
Become a Premium Member! Help
Latest News Article

[1.7.2] Mo' Creatures - v6.2.0 with Ents and Moles!

mocreatures creatures mobs pets horses

  • Please log in to reply
60342 replies to this topic

#43741

Eliminator
  • Location: The Betweenlands
  • Minecraft: Eliminator_v

Posted 06 December 2012 - 01:08 AM

How do you make your models for minecraft?

What program do you use?

What format is used?
Check out my YouTube, my Face-book, my Game, and my Mods!
Need a custom plugin? Gime me a shout!

Register or log in to remove.

#43742

Neon_ColorsFTW22
  • Minecraft: NeonColorsAero

Posted 06 December 2012 - 01:19 AM

Nice to see the Mo'Creatures mod is expanding more through this 1.4 era of Minecraft!

But DARN! Golems??? They'll wreck me to pieces before I can get any hits on them! But I love a challenge >:)

Posted Image


#43743

PumpkinFly
  • Location: USA
  • Minecraft: PumpkinFly

Posted 06 December 2012 - 01:19 AM

I found some bugs:
  • Butterflies will fly up to a ceiling and suffocate in it.
  • I nearly got killed by an invisible crocodile.
  • Rats usually glitch under the ground making it hard to kill them.
  • I was once playing on a LAN world and my friend was riding a horse, but she was invisible and somewhat floating in the air where she and her horse used to be.
  • Some times horses heads get "stuck" to the ground and just stay there.
  • Some times if a horse gets pushed into a wall, they just make sounds of getting hurt and flash red when they are actually not getting hurt at all.
  • When you place litter boxes and kitty beds, they all fly in a certain direction.
  • When eating some foods, some particles turn a whole bunch of different colors.
  • MY KITTIES DISAPPEAR!!! :( I have a world with 3 kitties, and when ever I get a 4th one, it ALWAYS disappears!!!
  • The second after I tame a dolphin, it always is hurt. It happened EVERY TIME!!!

Oh, by the way, this banner is kinda old... This is for 1.6.4, not 1.5.2. :P

[i]Posted Image


#43744

Neon_ColorsFTW22
  • Minecraft: NeonColorsAero

Posted 06 December 2012 - 01:21 AM

View PostRiptiduh, on 06 December 2012 - 12:28 AM, said:

Hello Dr. Zhark and Everyone,

I had problems earlier in the versions which were fixed with the latest release of Mo Creatures, so that was all well and good and I thank you.

Now there seems to be a new problem persisting and I think I have found the answer.  It is simple really, and it took a small amount of time to investigate.

Mo Creatures started not playing well with new, updated mods ex. Railcraft 6.9 or anything built fairly recent.  This is due to the fact that the latest release of 'Mo Creatures was built upon Forge .395 and many other mods were having problems with Forge under .397 (Enchanting Plus creator refuseed to update to 1.4.5 until Forge came out with a "stable version".), so everyone updated their mods to Forge 6.4.0.397 with very few going higher than the recommended build.

I installed the recommended build of Forge here: http://files.minecraftforge.net/ which is 6.4.0.397 and installed 'Mo Creatures.  This did in fact give me a black screen.  I just wanted to make Dr. Zhark aware of this, because many other mods are posting the 6.4.0.397 Forge version along with their mods which 'Mo Creatures is not compatible with.  At least this is a problem that I am having myself and since I usually have very few problems with mods etc. I thought this might be a universal bug.

I see many people updating to the latest forge or the non-recommended builds and having problems with 'Mo Creatures.  Just thought I'd share what I found.  If no one is having this problem or other people are using a more recent forge build (6.4.0.397+) and are not having problems, I am sorry and I will definitely take a look at my own setup.

Hope this helps!

Take care
Another thing that would help is posting the crash report you got.

Posted Image


#43745

peace_the_hator

Posted 06 December 2012 - 01:27 AM

this is a small thing but i tried to install tmi along with mo creatures but when i go in game i dont have the tmi screen, i deleted the meta inf and did everything on the installation guide and i tried hiting the o button to make the screen show up but it didnt work. plz help

#43746

Aurora1983

Posted 06 December 2012 - 01:40 AM

I don't know where to look for the download for this update. I want to get back on the server.

#43747

DannyArango
  • Location: Elizabeth, New Jersey
  • Minecraft: animalfreak68

Posted 06 December 2012 - 01:41 AM

i joined the server but i wanted to know how to get builder rank?

#43748

Eliminator
  • Location: The Betweenlands
  • Minecraft: Eliminator_v

Posted 06 December 2012 - 01:51 AM

How do you make your models for minecraft?

What program do you use?

What format is used?
Check out my YouTube, my Face-book, my Game, and my Mods!
Need a custom plugin? Gime me a shout!

#43749

Lunaus
    Lunaus

    Carpenter

  • Members
  • 61 posts

Posted 06 December 2012 - 01:58 AM

View Postasonofashadow, on 03 December 2012 - 05:15 AM, said:

Any chance you could link me to recent log (lulz) or re-post it here?

Forge logs? Also I went ahead and converter from Magic Launcher to MCPatcher and manually installed a few mods (Forge, OptiFine+Shaders, and Mo'Creatures). Whenever I use Sphanx for Mo' Creatures the letters are distorted, could that be the issue? I'm also getting a crash report so I'll throw that in as well with pics of the difference.


Side by Side comparison
Error Report after Sphanx BDCraft Screenshot

Also I apologize for the late replies, I don't check the forums as often as they're updated.


Why are you reading this?


#43750

Shadows_of_Fire
  • Location: Looking down at my enemies and laughing
  • Minecraft: Shadows_of_Fire
  • Xbox:InfernalShadow9

Posted 06 December 2012 - 02:15 AM

View PostLunaus, on 06 December 2012 - 01:58 AM, said:

Forge logs? Also I went ahead and converter from Magic Launcher to MCPatcher and manually installed a few mods (Forge, OptiFine+Shaders, and Mo'Creatures). Whenever I use Sphanx for Mo' Creatures the letters are distorted, could that be the issue? I'm also getting a crash report so I'll throw that in as well with pics of the difference.


Side by Side comparison
Error Report after Sphanx BDCraft Screenshot

Also I apologize for the late replies, I don't check the forums as often as they're updated.

You cannot install optifine with MCpatcher. The way that it patches the game will have very high conflicts with optifine.
Not everyone is destined for greatness, but those who are can only rarely see it.

#43751

YellowEmperor

Posted 06 December 2012 - 02:19 AM

Hi Dr.Zhark, Can u please have some of the mobs to be able to breed because i really need mobs to breed so i can make a animal farm. It would be nice if it can breed turkey,turtle,horse,deer and etc. please make them the mobs able to be breed Thank You Posted Image

#43752

PussCat2000
  • Minecraft: PussCat2000

Posted 06 December 2012 - 02:22 AM

This is awesome! but i cant get it to work anymore :(

#43753

Aragorn2448
  • Minecraft: Aragorn2448

Posted 06 December 2012 - 02:25 AM

everything was working awesome with zero lag on the previous verision.

with magic launcher, I just replaced the old versions with the new version.  (with just a few clicks)

the lag when Golems occured was so bad the game was unplayble and then crashed Minecraft.

I rolled back to the previous version and everything is great again..

#43754

Kressara
  • Location: USA
  • Minecraft: Kressara

Posted 06 December 2012 - 02:31 AM

View PostMineshopper, on 05 December 2012 - 11:17 PM, said:

Been using the latest stable EBXL build (3.5.0b) for a while now.  I have 59 mods loaded but have never once seen the error you posted.  Did you mean none of the other development builds are working with Mo' Creatures?  From what I can tell, everything works with EBXL 3.5.0b just fine.

I've gotten the same error with every version of EBXL I've tried, even 3.5.0b. I can't seem to figure out why, only that I get the error when Mo'Creatures and EBXL are combined. Even on a clean minecraft folder with only Mo'Creatures installed, it runs fine. But add EBXL into the mix and thats the error I get. What Forge version are you using?
It might be that I'm on a mac, or that I use MultiMC, as well. I don't have a PC I can further test on, so I wouldn't know if that is indeed the cause of the error. I know that at first I had trouble installing Mo'Creatures on its own because of the way Macs compress their files. But I just don't know how to fix this error on my own, which is why I've posted it here. ):
Posted Image

#43755

cranarack

Posted 06 December 2012 - 02:43 AM

couple ideas a in game breeding book for horses and you cant kill the golems when there about to blow up (while there in that stage) it was a little annoying killing these guys but if you kill them before they blow they dont drop anything so just a couple ideas Posted Image also i would liek that they cant take up place blocks like place by the player :D

#43756

MurphClan

Posted 06 December 2012 - 02:59 AM

Also trying to install Mo Creatures with 1.4.5 as I love Mo Creatures.
I have forge, and for the forge (latest) I am having to install everything into the .jar with winrar, (not into a mods folder).
That said, everything works fine:
Optifine, Death Chest, Recipe Book, Rei's Minimap, More Stackables, GUI Api, Too Many Items
But it totally does't recognize CustomMobSpawner or MoCreatures either as a winrar file in the 'mobs' folder or installed directly into the minecraft.jar I get a black screen.

Should I delete the new FORGE meta-inf?

The files with the ending .info or .java - is that a problem?
I have windows 7 64 bit
I get no error messages, just a black screen.

Very disappointed, to me MoCreatures IS Minecraft.

#43757

cranarack

Posted 06 December 2012 - 03:15 AM

View PostMurphClan, on 06 December 2012 - 02:59 AM, said:

Also trying to install Mo Creatures with 1.4.5 as I love Mo Creatures.
I have forge, and for the forge (latest) I am having to install everything into the .jar with winrar, (not into a mods folder).
That said, everything works fine:
Optifine, Death Chest, Recipe Book, Rei's Minimap, More Stackables, GUI Api, Too Many Items
But it totally does't recognize CustomMobSpawner or MoCreatures either as a winrar file in the 'mobs' folder or installed directly into the minecraft.jar I get a black screen.

Should I delete the new FORGE meta-inf?

The files with the ending .info or .java - is that a problem?
I have windows 7 64 bit
I get no error messages, just a black screen.

Very disappointed, to me MoCreatures IS Minecraft.
put forge in the .jar first let it run then a mods folder should be in the .minecraft put all mods that said go into the mods folder in the mods folder then put all the mods that said go into the .jar into the .jar hope that helped

#43758

Lunaus
    Lunaus

    Carpenter

  • Members
  • 61 posts

Posted 06 December 2012 - 03:23 AM

View PostShadows_of_Fire, on 06 December 2012 - 02:15 AM, said:

You cannot install optifine with MCpatcher. The way that it patches the game will have very high conflicts with optifine.

Err.. re-read what I said, I said I switched to MCPatcher BUT I manually installed the mods listed in parentheses, which includes OptiFIne.


Why are you reading this?


#43759

Pelagi
    Pelagi

    Zombie Killer

  • Members
  • 210 posts
  • Minecraft: fifitri

Posted 06 December 2012 - 04:06 AM

:( I don't like golem's... Just in one night a golem appears and ruins my house, killing my only zebra and another beloved horse. I must find a way to conquer these beast :D

--- VENI, VIDI, VICI ---

Posted Image


#43760

Mineshopper
  • Location: Oregon
  • Minecraft: Mineshopper

Posted 06 December 2012 - 04:06 AM

View PostKressara, on 06 December 2012 - 02:31 AM, said:

I've gotten the same error with every version of EBXL I've tried, even 3.5.0b. I can't seem to figure out why, only that I get the error when Mo'Creatures and EBXL are combined. Even on a clean minecraft folder with only Mo'Creatures installed, it runs fine. But add EBXL into the mix and thats the error I get. What Forge version are you using?
It might be that I'm on a mac, or that I use MultiMC, as well. I don't have a PC I can further test on, so I wouldn't know if that is indeed the cause of the error. I know that at first I had trouble installing Mo'Creatures on its own because of the way Macs compress their files. But I just don't know how to fix this error on my own, which is why I've posted it here. ):

I looked closer at your crash report.  I have my CustomMobSpawner in the instMods folder for my MultiMC instance - it won't throw silly errors this way.  In addition, I'm using version 1.9.0, where yours shows 1.9.1.  Since your error seems to arise from a call to CustomMobSpawner, I'd give that a try.

Posted Image